com.io7m.jcamera

## Enum JCameraScreenOrigin

- java.lang.Object
- - java.lang.Enum<JCameraScreenOrigin>
  - - com.io7m.jcamera.JCameraScreenOrigin

- All Implemented Interfaces:
    Serializable, Comparable<JCameraScreenOrigin>

      public enum JCameraScreenOrigin
      extends Enum<JCameraScreenOrigin>

  Specification of screen origins.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SCREEN_ORIGIN_BOTTOM_LEFT` The origin of the screen is the bottom left.
    `SCREEN_ORIGIN_TOP_LEFT` The origin of the screen is the top left.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCameraScreenOrigin` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCameraScreenOrigin[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SCREEN_ORIGIN_BOTTOM_LEFT

          public static final JCameraScreenOrigin SCREEN_ORIGIN_BOTTOM_LEFT

      The origin of the screen is the bottom left.

    - #### SCREEN_ORIGIN_TOP_LEFT

          public static final JCameraScreenOrigin SCREEN_ORIGIN_TOP_LEFT

      The origin of the screen is the top left.

  - ### Method Detail

    - #### values

          public static JCameraScreenOrigin[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCameraScreenOrigin c : JCameraScreenOrigin.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCameraScreenOrigin valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com